/*
* Copyright 2021-2023 H2020 TeraFlow (https://www.teraflow-h2020.eu/)
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*      http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package eu.teraflow.policy.monitoring.model;

public class Kpi {

    private final String kpiId;
    private final String timestamp;
    private final String kpiValue;

    public Kpi(String kpiId, String timestamp, String kpiValue) {
        this.kpiId = kpiId;
        this.timestamp = timestamp;
        this.kpiValue = kpiValue;
    }

    public String getKpiId() {
        return kpiId;
    }

    public String getTimestamp() {
        return timestamp;
    }

    public String getKpiValue() {
        return kpiValue;
    }

    @Override
    public String toString() {
        return String.format(
                "%s:{kpiId:\"%s\", timeStamp:\"%s\", kpiValue:\"%s\"}",
                getClass().getSimpleName(), kpiId, timestamp, kpiValue);
    }
}
